<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://get-tics.com
 * @since             1.0.0
 * @package           Tics
 *
 * @wordpress-plugin
 * Plugin Name:       Tics
 * Plugin URI:        https://get-tics.com
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.0
 * Author:            Techpaf
 * Author URI:        https://get-tics.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       tics
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('TICS_VERSION', '1.0.0');

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-tics-activator.php
 */
function activate_tics()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-tics-activator.php';
	Tics_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-tics-deactivator.php
 */
function deactivate_tics()
{
	require_once plugin_dir_path(__FILE__) . 'includes/class-tics-deactivator.php';
	Tics_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_tics');
register_deactivation_hook(__FILE__, 'deactivate_tics');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-tics.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_tics()
{

	$plugin = new Tics();
	$plugin->run();
}
add_action('wp_footer', 'action_add_tics');
function action_add_tics()
{
	$options = get_option('tics_id');
	if (strlen($options) > 5) {
		echo '<script src="https://get-tics.com/lib/tics-vanilla.js"></script>
		<script>
			document.addEventListener("DOMContentLoaded", function() {
				window.t = new tics("' . $options . '");
			});
		</script>';
	} else {
		return;
	}
}
run_tics();
